MWAWGraphicShape::PathData Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
MWAWGraphicShape::PathData Struct Reference

a simple path component More...

`#include <MWAWGraphicShape.hxx>`

## Public Member Functions
| PathData (char type, MWAWVec2f const &x=MWAWVec2f(), MWAWVec2f const &x1=MWAWVec2f(), MWAWVec2f const &x2=MWAWVec2f())
| constructor More...
void | translate (MWAWVec2f const &delta)
| translate all the coordinate by delta More...
void | scale (MWAWVec2f const &factor)
| scale all the coordinate by a factor More...
void | rotate (float angle, MWAWVec2f const &delta)
| rotate all the coordinate by angle (origin rotation) then translate coordinate More...
void | transform (MWAWTransformation const &matrix, float rotation)
| multiply all the coordinate by a matrix More...
bool | get (librevenge::RVNGPropertyList &pList, MWAWVec2f const &orig) const
| update the property list to correspond to a command More...
int | cmp (PathData const &a) const
| comparison function More...

## Public Attributes
char | m_type
| the type: M, L, ... More...
MWAWVec2f | m_x
| the main x value More...
MWAWVec2f | m_x1
| x1 value More...
MWAWVec2f | m_x2
| x2 value More...
MWAWVec2f | m_r
| the radius ( A command) More...
float | m_rotate
| the rotate ( A command) More...
bool | m_largeAngle
| large angle ( A command) More...
bool | m_sweep
| sweep value ( A command) More...

## Friends
std::ostream & | operator<< (std::ostream &o, PathData const &path)
| a print operator More...

## Detailed Description

a simple path component

## Constructor & Destructor Documentation

## § PathData()

MWAWGraphicShape::PathData::PathData | ( | char | type,
|  | MWAWVec2f const & | x = `MWAWVec2f()`,
|  | MWAWVec2f const & | x1 = `MWAWVec2f()`,
|  | MWAWVec2f const & | x2 = `MWAWVec2f()`
| ) |  |
| inline

constructor

Referenced by MWAWGraphicShape::getPath().

## Member Function Documentation

## § cmp()

int MWAWGraphicShape::PathData::cmp | ( | MWAWGraphicShape::PathData const & | a | ) | const

comparison function

Referenced by MWAWGraphicShape::getBdBox(), and PathData().

## § get()

bool MWAWGraphicShape::PathData::get | ( | librevenge::RVNGPropertyList & | pList,
|  | MWAWVec2f const & | orig
| ) |  | const

update the property list to correspond to a command

## § rotate()

void MWAWGraphicShape::PathData::rotate | ( | float | angle,
|  | MWAWVec2f const & | delta
| ) |  |

rotate all the coordinate by angle (origin rotation) then translate coordinate

Referenced by MWAWGraphicShape::path(), and PathData().

## § scale()

void MWAWGraphicShape::PathData::scale | ( | MWAWVec2f const & | factor | ) |

scale all the coordinate by a factor

Referenced by MWAWGraphicShape::path(), PathData(), and MWAWGraphicShape::scale().

## § transform()

void MWAWGraphicShape::PathData::transform | ( | MWAWTransformation const & | matrix,
|  | float | rotation
| ) |  |

multiply all the coordinate by a matrix

Referenced by MWAWGraphicShape::path(), and PathData().

## § translate()

void MWAWGraphicShape::PathData::translate | ( | MWAWVec2f const & | delta | ) |

translate all the coordinate by delta

Referenced by MWAWGraphicShape::path(), PathData(), and MWAWGraphicShape::translate().

## Friends And Related Function Documentation

## § operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | MWAWGraphicShape::PathData const & | path
| ) |  |
| friend

a print operator

Referenced by MWAWGraphicShape::getBdBox(), and PathData().

## Member Data Documentation

## § m_largeAngle

bool MWAWGraphicShape::PathData::m_largeAngle

large angle ( A command)

Referenced by cmp(), get(), MWAWGraphicShape::getPath(), and operator<<().

## § m_r

MWAWVec2f MWAWGraphicShape::PathData::m_r

the radius ( A command)

Referenced by cmp(), get(), MWAWGraphicShape::getPath(), and operator<<().

## § m_rotate

float MWAWGraphicShape::PathData::m_rotate

the rotate ( A command)

Referenced by cmp(), get(), operator<<(), rotate(), and transform().

## § m_sweep

bool MWAWGraphicShape::PathData::m_sweep

sweep value ( A command)

Referenced by cmp(), get(), MWAWGraphicShape::getPath(), and operator<<().

## § m_type

char MWAWGraphicShape::PathData::m_type

the type: M, L, ...

Referenced by MWAWGraphicShape::addPathTo(), MWAWGraphicShape::addTo(), cmp(), MWAWGraphicShape::cmp(), get(), MWAWGraphicShape::getBdBox(), MWAWGraphicShape::getPath(), MWAWGraphicShape::getType(), operator<<(), rotate(), scale(), transform(), and translate().

## § m_x

MWAWVec2f MWAWGraphicShape::PathData::m_x

the main x value

Referenced by cmp(), get(), MWAWGraphicShape::getPath(), operator<<(), rotate(), scale(), transform(), and translate().

## § m_x1

MWAWVec2f MWAWGraphicShape::PathData::m_x1

x1 value

Referenced by cmp(), get(), operator<<(), rotate(), scale(), transform(), and translate().

## § m_x2

MWAWVec2f MWAWGraphicShape::PathData::m_x2

x2 value

Referenced by cmp(), get(), operator<<(), rotate(), scale(), transform(), and translate().

The documentation for this struct was generated from the following files:

- MWAWGraphicShape.hxx
- MWAWGraphicShape.cxx